Subject: bug#22287: 25.1.50; Sudden jumping point in buffer

From: "Stefan-W. Hahn" <[email-masked]>
Date: Tue, 5 Jan 2016 16:01:22 +0100

Mail von Eli Zaretskii, Mon, 04 Jan 2016 at 17:22:50 +0200:

Hello,

> > Date: Sun, 3 Jan 2016 21:51:04 +0100
> > From: "Stefan-W. Hahn" <[email-masked]>
> > Cc: [email-masked]
> > 
> > | *** sem end2: buffer intervals.c 49510->49391
> > | *** sem end2: timer nil
> > | *** sem end2: idle-timer ([nil 0 1 0 t semantic-idle-scheduler-function nil 
> > idle 0] [nil 0 60 0 t semantic-idle-scheduler-work-function nil idle 0])
> > | *** sem end2: post-command-hook (diff-post-command-hook t)
> > | *** sem end2: pre-command-hook nil
> > `----
> > 
> > When switching semantic-mode off, the error seems not to be reproducible.
> > 
> > This should it be for today.
> 
> Thank you for your efforts.

You'r welcome.

> It strikes me that a much more efficient way of finding who moves
> point would be by setting a watchpoint on that buffer's value of
> point, with commands like this:
> 
>  xbacktrace
>  continue
>  end
> 
> Then, whenever point changes in that buffer, you should see a Lisp
> backtrace which will show the offending code.
> 
> Let me know if you need further help with setting up such a watchpoint
> in GDB.
> 

Thanks for this hint. I wasn't aware of this, after reading the good
documentation etc/DEBUG, great possibilities.

I've sat it up and am able to define a watchpoint which calls xbacktrace. I
have to play around with it a little, because in this straight forward
atempt, it is to slow. There is no possibility to do any real keystrokes in
the debuged emacs.

So, now, playtime... :-)

With kind regards,
Stefan

-- 
Stefan-W. Hahn                          It is easy to make things.
                                        It is hard to make things simple.